Subject: Re: [PATCH v3 0/4] enhance string-list API to fix sign compare warnings

From: Junio C Hamano <[email-masked]>
Date: Wed, 08 Oct 2025 08:56:24 -0700

Collin Funk <[email-masked]> writes:

> Junio C Hamano <[email-masked]> writes:
>
>> Thanks.  I didn't see anything glaringly wrong in this round.
>>
>> Shall we mark the topic for 'next' now?
>
> These look good to me if you want to add:
>
> Reviewed-by: Collin Funk <[email-masked]>
>
> I wrote a bit about the signed vs. unsigned integer for object/indexes
> in another mail. Because of my opinion on that, I usually just ignore
> these warnings. But my impression is that my opinion is in the minority
> regarding that. :)

Well I probably am in the minority who thinks that it is a disease
or superstition to think that things must be counted in size_t,
which is often unnecessarily big (which I do not mind too much on
modern architectures) and unsigned (which I do mind for the same
reasons as you do) and those infected by it should be somehow cured
;-).